From: Ben Greear <greearb@candelatech.com>
To: linux-kernel <linux-kernel@vger.kernel.org>
Subject: [RFC] Allow 'make xconfig' to work on FC3 x86_64]
Date: Mon, 22 Nov 2004 18:53:20 -0800 [thread overview]
Message-ID: <41A2A620.6030702@candelatech.com> (raw)
The makefile out-clevers itself and chooses the wrong LIBPATH, causing
the compile of the xconfig tool to fail. The added check for the lib64
directory and the logic to back out the '../lib64' addition to LIBPATH
makes it work for me...
From talking with HPA, this can break other architectures, like ppc64.
So, I'm hoping that this patch will help someone come up with the
right way to do it, but I do not propose that this *is* the right
way to do it.
In case anyone wants it:
Signed-off-by: Ben Greear <greearb@candelatech.com>
--- linux-2.6.9/scripts/kconfig/Makefile 2004-10-18 14:55:29.000000000 -0700
+++ linux-2.6.9.p4s/scripts/kconfig/Makefile 2004-11-22 17:43:28.395781962 -0800
@@ -112,7 +112,7 @@
# QT needs some extra effort...
$(obj)/.tmp_qtcheck:
- @set -e; for d in $$QTDIR /usr/share/qt* /usr/lib/qt*; do \
+ @set -e; for d in $$QTDIR /usr/share/qt* /usr/lib64/qt* /usr/lib/qt*; do \
if [ -f $$d/include/qconfig.h ]; then DIR=$$d; break; fi; \
done; \
if [ -z "$$DIR" ]; then \
@@ -126,6 +126,7 @@
LIBPATH=$$DIR/lib; LIB=qt; \
$(HOSTCXX) -print-multi-os-directory > /dev/null 2>&1 && \
LIBPATH=$$DIR/lib/$$($(HOSTCXX) -print-multi-os-directory); \
+ if [ ! -d $$LIBPATH ]; then LIBPATH=$$DIR/lib; fi; \
if [ -f $$LIBPATH/libqt-mt.so ]; then LIB=qt-mt; fi; \
echo "QTDIR=$$DIR" > $@; echo "QTLIBPATH=$$LIBPATH" >> $@; \
echo "QTLIB=$$LIB" >> $@; \
--
Ben Greear <greearb@candelatech.com>
Candela Technologies Inc http://www.candelatech.com
reply other threads:[~2004-11-23 2:56 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=41A2A620.6030702@candelatech.com \
--to=greearb@candelatech.com \
--cc=linux-kernel@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox